osl::record::ChangeShellColor Class Reference

shellの文字出力にて、色を変える。 More...

`#include <kanjiPrint.h>`

## Public Member Functions

| ChangeShellColor (std::ostream &os, const Color &color)
| ~ChangeShellColor ()

## Private Member Functions

void | escColSet () const
void | escColReSet () const

## Private Attributes

std::ostream & | os
const Color | color

## Detailed Description

shellの文字出力にて、色を変える。

Definition at line 77 of file kanjiPrint.h.

## Constructor & Destructor Documentation

## ChangeShellColor()

osl::record::ChangeShellColor::ChangeShellColor | ( | std::ostream & | os,
|  | const Color & | color )

inline

Definition at line 86 of file kanjiPrint.h.

References color, escColSet(), and os.

## ~ChangeShellColor()

osl::record::ChangeShellColor::~ChangeShellColor | ( |  | ) |

inline

Definition at line 88 of file kanjiPrint.h.

References escColReSet().

## Member Function Documentation

## escColReSet()

void osl::record::ChangeShellColor::escColReSet | ( |  | ) | const

private

Definition at line 168 of file kanjiPrint.cc.

References color, and os.

Referenced by ~ChangeShellColor().

## escColSet()

void osl::record::ChangeShellColor::escColSet | ( |  | ) | const

private

Definition at line 161 of file kanjiPrint.cc.

References color, and os.

Referenced by ChangeShellColor().

## Member Data Documentation

## color

const Color osl::record::ChangeShellColor::color

private

Definition at line 81 of file kanjiPrint.h.

Referenced by ChangeShellColor(), escColReSet(), and escColSet().

## os

std::ostream& osl::record::ChangeShellColor::os

private

Definition at line 80 of file kanjiPrint.h.

Referenced by ChangeShellColor(), escColReSet(), and escColSet().

The documentation for this class was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc